package com.vendor.loader.model;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.Log.Log;
import com.vendor.loader.Messages;
import com.vendor.loader.util.FileUtil;
import java.io.File;
import java.util.Locale;
import org.eclipse.osgi.util.NLS;

public class CommonAdapter {
  public static final int UNFASTBOOT_START = 1;
  
  public static final int NONSUPPORT = -1;
  
  public static final int FASTBOOT_START = 0;
  
  protected static final String BLANK = "    ";
  
  public String parseFile(String[] args, int paramSize, String paramName, int index, boolean isInput) {
    if (args == null) {
      Log.errorln(NLS.bind(Messages.CMD_PARAMETER_NotFound, paramName));
      return null;
    } 
    if (paramSize > index) {
      String inputFile = args[index];
      if (inputFile == null || inputFile.isEmpty()) {
        Log.errorln(NLS.bind(Messages.CMD_PARAMETER_IsNull, paramName));
        return null;
      } 
      File file = new File(inputFile);
      if (file.isDirectory() || file.getPath().length() == 1) {
        Log.errorln(Messages.InvalidFileName);
        return null;
      } 
      if (isInput && 
        !FileUtil.isExists(inputFile)) {
        Log.errorln(NLS.bind(Messages.CMD_PARAMETER_FilePath_IsNotExist, inputFile));
        return null;
      } 
      return inputFile;
    } 
    Log.errorln(NLS.bind(Messages.CMD_PARAMETER_NotFound, paramName));
    return null;
  }
  
  public static String convertChipName(String chipName) {
    if (chipName == null)
      return null; 
    return chipName.toUpperCase(Locale.ROOT);
  }
}
